NUBC = ../compiler/NubLang.CLI/bin/Debug/net9.0/nubc

out: .build/out.o
	gcc -nostartfiles -lm -o out x86_64.s .build/out.o vendor/raylib-5.5_linux_amd64/lib/libraylib.a

.build/out.o: $(NUBC) src/main.nub src/raylib.nub
	$(NUBC) src/main.nub src/raylib.nub

.PHONY: $(NUBC)
$(NUBC):
	dotnet build ../compiler/NubLang.CLI/NubLang.CLI.csproj

clean:
	@rm -r .build 2>/dev/null || true
	@rm out 2>/dev/null || true
